Gecode::Int::Relax Class Reference

Class for posting equalities for non-relaxed variables. More...

## Public Member Functions

ExecStatus | operator() (Home home, IntVar x, IntVar sx)
| Post the actual equality for non-relaxed variables.
ExecStatus | operator() (Home home, BoolVar x, BoolVar sx)
| Post the actual equality for non-relaxed variables.

## Detailed Description

Class for posting equalities for non-relaxed variables.

Definition at line 40 of file relax.cpp.

## Member Function Documentation

## operator()() [1/2]

ExecStatus Gecode::Int::Relax::operator() | ( | Home | home,
|  | IntVar | x,
|  | IntVar | sx )

inline

Post the actual equality for non-relaxed variables.

Definition at line 49 of file relax.cpp.

## operator()() [2/2]

ExecStatus Gecode::Int::Relax::operator() | ( | Home | home,
|  | BoolVar | x,
|  | BoolVar | sx )

inline

Post the actual equality for non-relaxed variables.

Definition at line 55 of file relax.cpp.

The documentation for this class was generated from the following file:

- gecode/int/relax.cpp